[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.Exchange

Exchange the location of two objects

## Declaration

Source position: contnrs.pp line 49

`public procedure TFPObjectList.Exchange(`
`Index1: Integer;`
`Index2: Integer`
`);`

## Arguments

`Index1` |  | Location of first object
`Index2` |  | Location of second object

## Description

Exchange exchanges the objects at indexes Index1 and Index2 in a direct operation (i.e. no delete/add is performed).

## Errors

If either Index1 or Index2 is invalid, an exception will be raised.

## See also

TFPObjectList.Add |  | Add an object to the list.
TFPObjectList.Delete |  | Delete an element from the list.